package domain


type AlibabaRetailMarketingItemdiscountActivitySkuAddLimitDto struct {
    /*
        活动总限购     */
    TotalLimitCnt  *int64 `json:"total_limit_cnt,omitempty" `

    /*
        活动每日限购     */
    DailyTotalLimitCnt  *int64 `json:"daily_total_limit_cnt,omitempty" `

    /*
        用户总限购     */
    UserTotalLimitCnt  *int64 `json:"user_total_limit_cnt,omitempty" `

    /*
        用户每日限购     */
    UserDailyLimitCnt  *int64 `json:"user_daily_limit_cnt,omitempty" `

    /*
        用户每单限购     */
    OrderLimitCnt  *int64 `json:"order_limit_cnt,omitempty" `

}

func (s *AlibabaRetailMarketingItemdiscountActivitySkuAddLimitDto) SetTotalLimitCnt(v int64) *AlibabaRetailMarketingItemdiscountActivitySkuAddLimitDto {
    s.TotalLimitCnt = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivitySkuAddLimitDto) SetDailyTotalLimitCnt(v int64) *AlibabaRetailMarketingItemdiscountActivitySkuAddLimitDto {
    s.DailyTotalLimitCnt = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivitySkuAddLimitDto) SetUserTotalLimitCnt(v int64) *AlibabaRetailMarketingItemdiscountActivitySkuAddLimitDto {
    s.UserTotalLimitCnt = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivitySkuAddLimitDto) SetUserDailyLimitCnt(v int64) *AlibabaRetailMarketingItemdiscountActivitySkuAddLimitDto {
    s.UserDailyLimitCnt = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivitySkuAddLimitDto) SetOrderLimitCnt(v int64) *AlibabaRetailMarketingItemdiscountActivitySkuAddLimitDto {
    s.OrderLimitCnt = &v
    return s
}
